package com.example.navigation;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.widget.DrawerLayout;
import android.support.v4.widget.DrawerLayout.DrawerListener;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {

	private DrawerLayout drawerLayout;
	private View drawerView;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);


		drawerLayout = (DrawerLayout) findViewById(R.id.drawer_layout);
		drawerView = (View) findViewById(R.id.drawer);

		Button buttonOpenDrawer = (Button) findViewById(R.id.opendrawer);
		buttonOpenDrawer.setOnClickListener(new OnClickListener() {

			public void onClick(View arg0) {
				drawerLayout.openDrawer(drawerView);
			}
		});

	}
	
};
